com.sun.grid.jgdi.filter

## Class DefaultSimpleFilter

- java.lang.Object
- - com.sun.grid.jgdi.filter.DefaultSimpleFilter

- All Implemented Interfaces:
    JGDIFilter, SimpleFilter

      public class DefaultSimpleFilter
      extends java.lang.Object
      implements SimpleFilter

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultSimpleFilter(java.lang.String what, WhereClause where)` Creates a new instance of DefaultSimpleFilter
    `DefaultSimpleFilter(WhereClause where)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getWhat()` Get the what clause of the filter
    `WhereClause` | `getWhere()` Get the where clause of the filter

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DefaultSimpleFilter

          public DefaultSimpleFilter(WhereClause where)

    - #### DefaultSimpleFilter

          public DefaultSimpleFilter(java.lang.String what,
                                     WhereClause where)

      Creates a new instance of DefaultSimpleFilter

  - ### Method Detail

    - #### getWhat

          public java.lang.String getWhat()

      Description copied from interface: `SimpleFilter`
      Get the what clause of the filter
      Specified by:
        `getWhat` in interface `SimpleFilter`
      Returns:
        the what clause

    - #### getWhere

          public WhereClause getWhere()

      Description copied from interface: `SimpleFilter`
      Get the where clause of the filter
      Specified by:
        `getWhere` in interface `SimpleFilter`
      Returns:
        the what where

Copyright © 2007 Sun Microsystems, Inc. All rights reserved.